### POST /api/sso/mfa/otp Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. Initialize OTP (Time-based One-Time Password) MFA setup and get QR code for authenticator apps like Google Authenticator or Authy. ```markdown ### Responses #### 200 - OK **AddOtpMfaOutputBody** - **qrImage** (string) (required): Base64 encoded QR code image for authenticator apps - **secret** (string) (required): TOTP secret key #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X POST "https://api.example.com/api/sso/mfa/otp" ``` ``` -------------------------------- ### GET /api/settings Source: https://activate.parallel.works/openapi.json Returns the platform settings, such as version, features, and theme. ```markdown ### Responses #### 200 - OK **PlatformSettings** - **availableAuthMethods** (array,null) (required): The platform-wide authentication methods available. - **enforceMaxTTL** (boolean): Indicates if the platform requires a maximum TTL for API Keys. Only returned if the user is authenticated. - **expirationDays** (integer (int64)): The maximum number of days after which API Keys expire. Only returned if the user is authenticated. - **features** (array,null) (required): Platform-wide enabled feature previews. - **forgotPasswordEnabled** (boolean) (required): Indicates if the forgot password feature is enabled on the platform. - **language** (string (|en|ja|ko|es|zh)): User's preferred language (""|"en"|"ja"|"ko"|"es"|"zh") - **legacyTheme** (string): The theme to use for the platform, determined by the hostname. - **licenseExpiresAt** (string (date-time)): The expiration date of the platform license. Only returned when needsLicense is true. - **licenseGracePeriod** (boolean): Indicates if the license is in the grace period. Only returned when needsLicense is true. - **maintenanceMessage** (string): If set, the maintenance message will show as an alert on all pages of the platform. - **maintenanceMode** (boolean): Indicates if the platform is in maintenance mode, preventing certain actions. - **needsLicense** (boolean): Indicates if the platform needs a license update (no license, expired, or in grace period). Only returned when true. - **needsOnboarding** (boolean): Indicates if the user needs to complete onboarding. Only returned when true. - **needsSetup** (boolean): Indicates if the platform needs initial setup (first user and organization creation). Only returned when true. - **orgNameForHostname** (string): The org name matching the current hostname's custom domain, if any. - **orgTheme** (object,null) - **platformName** (string): The display name of the platform. - **singleOrgName** (string): The name of the single organization, if applicable. - **singleOrgPlatform** (boolean): Indicates if the platform is a single organization platform. - **statusUrl** (string): The URL to the platform status page, if set. - **terminalFontSize** (integer (int64)): Terminal font size - **terminalTheme** (string (light|dark|rose-pine|dracula)): Terminal theme ("light"|"dark"|"rose-pine"|"dracula") - **theme** (string (organization|system|activate|light|dark|rose-pine)): User's preferred theme ("organization"|"system"|"activate"|"light"|"dark"|"rose-pine") - **topBannerMessage** (string): The message to show in the top banner, if set. - **usercontainerDevMode** (string) - **version** (string) (required): The version of the platform, determined by the build. #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/settings" ``` ``` -------------------------------- ### GET /api/settings/admin Source: https://activate.parallel.works/openapi.json Returns admin-only platform settings. ```markdown ### Responses #### 200 - OK **PlatformSettingsAdmin** - **createk8sPVC** (boolean): Indicates if k8s PVC should be created for workspaces. - **defaultUserHost** (string): The default host pattern for users. - **defaultWorkspaceImage** (string): Default image for user workspaces. - **defaultWorkspaceType** (string): Default type for workspaces. - **dns** (array,null) (required): A list of hosts to add to the DNS search path for workspaces. - **envs** (array,null) (required): A list of environment variables to set in workspaces. - **homeDirPrefix** (string) (required): The prefix for the home directory in workspaces. - **k8sMounts** (array,null) (required): A list of mounts to be used in Kubernetes workspaces. - **licenseExpiresAt** (string (date-time)): The expiration date of the platform license, if valid. - **licenseGracePeriod** (boolean): Indicates if the license is in the grace period. - **mounts** (array,null) (required): A list of mounts to be used in docker workspaces. - **validLicense** (boolean): Indicates if the platform license is valid. #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/settings/admin" ``` ``` -------------------------------- ### GET /api/admin/migrations/logs Source: https://activate.parallel.works/openapi.json Returns the list of all migration run logs ```markdown ### Responses #### 200 - OK #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/admin/migrations/logs" ``` ``` -------------------------------- ### GET /api/lustre Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Returns Lustre Filesystems the user can access. ```markdown ### Parameters - **permission** (string, query, optional): Permission to filter the Lustre by - **provisioned** (boolean, query, optional): Filter Lustre by if they are provisioned or not ### Responses #### 200 - OK #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/lustre?permission=string&provisioned=true" ``` ``` -------------------------------- ### GET /api/nfs Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Returns NFS filesystems the user can access. ```markdown ### Parameters - **permission** (string (edit|mount), query, optional): Permission to filter the NFS by - **provisioned** (boolean, query, optional): Filter NFS by if they are provisioned or not ### Responses #### 200 - OK #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/nfs?permission=edit&provisioned=true" ``` ``` -------------------------------- ### GET /api/onboarding/recommended-resources Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Returns marketplace items recommended for new user onboarding. ```markdown ### Responses #### 200 - OK **RecommendedResourcesResponse** - **compute** (object) (required) - **marketplaceFeatured** (array,null) (required): Featured resources from marketplace - **orgRecommended** (array,null) (required): Resources recommended by the organization - **organizationName** (string): Name of the organization for display - **storage** (object) (required) - **workflows** (object) (required) #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/onboarding/recommended-resources" ``` ``` -------------------------------- ### POST /api/platform/setup Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. Creates the first user and organization. Only available when the platform needs setup (after license is set). ```markdown ### Request Body **Content-Type:** application/json - **email** (string (email)): Email for the initial admin user (optional) - **name** (string): Full name of the initial admin user (optional) - **organization** (string) (required): Organization name - **password** (string) (required): Password for the initial admin user - **theme** (string (activate|dark)): User's preferred theme (activate for light, dark for dark) ("activate"|"dark") - **username** (string) (required): Username for the initial admin user ### Responses #### 204 - No Content Empty response body #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X POST "https://api.example.com/api/platform/setup" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "name": "string", "organization": "string", "password": "string", "theme": "activate", "username": "string" }' ``` ``` -------------------------------- ### GET /api/organizations/{organization}/allocations/{name}/permissions Source: https://activate.parallel.works/openapi.json Get permissions for an allocation ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **name** (string, path, required): Allocation name ### Responses #### 200 - OK **SubjectPermissions** - **groups** (object) (required): Map of group names to permissions - **organization** (object) (required): Map of permission names to whether entire organization has that access #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/organizations/{organization}/allocations/{name}/permissions" ``` ``` -------------------------------- ### POST /api/settings/complete-onboarding Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Marks the user's onboarding as complete and applies selected preferences. ```markdown ### Responses #### 200 - OK **CompleteOnboardingBody** - **needsOnboarding** (boolean) (required): Whether the user needs to complete onboarding #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X POST "https://api.example.com/api/settings/complete-onboarding" ``` ``` -------------------------------- ### GET /api/workflows/{workflow} Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Gets a single workflow by name for the authenticated user. ```markdown ### Parameters - **workflow** (string, path, required): Name of the workflow to retrieve. ### Responses #### 200 - OK **WorkflowItem** - **configurations** (array,null): Configurations for the workflow. - **description** (string): Description of the workflow. - **directory** (string): Directory of the workflow. - **displayName** (string): Display name of the workflow. - **favorite** (boolean) (required): Whether the workflow is favorited. - **id** (string) (required): Id of the workflow. - **imageUrl** (string): URL of the workflow icon. - **marketplaceItem** (string): ID of the marketplace item if installed from marketplace. - **marketplaceSlug** (string): Slug of the marketplace item. - **marketplaceVersion** (string): Version of the marketplace item. - **name** (string) (required): Name of the workflow. - **remote** (object) - **branch** (string): Branch name. - **readme** (string): Path to the README file in the repository. - **repo** (string): Git repository URL. - **sparseCheckout** (array,null): Sparse checkout paths. - **thumbnail** (string): Path to the thumbnail image in the repository. - **yaml** (string): Path to the YAML file in the repository. - **skipCheckout** (boolean): Whether to skip automatic repository checkout during job preparation. - **slug** (string): Name without namespace prefix, used for URLs. - **subtype** (string): Subtype of the workflow (github for remote). - **tags** (array,null): Tags associated with the workflow. - **type** (string) (required): Type of the workflow (local or remote). - **user** (string): User which owns the workflow. - **yaml** (object): YAML configuration of the workflow. #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/workflows/{workflow}" ``` ``` -------------------------------- ### GET /api/workflow-runs/{slug} Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Gets a single workflow run by its slug identifier. ```markdown ### Parameters - **slug** (string, path, required): The slug identifier of the workflow run ### Responses #### 200 - OK **WorkflowRunDetailResponse** - **completedAt** (string (date-time)) - **createdAt** (string (date-time)) - **displayName** (string) - **executedJobs** (object) - **id** (string) (required) - **imageUrl** (string) - **inlineRun** (boolean) (required) - **inputs** (object) - **marketplace** (boolean) (required) - **number** (integer (int64)) - **resolvedYaml** (object) - **slug** (string) - **status** (string) - **statusReason** (string) - **user** (string) (required) - **workflowName** (string) #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/workflow-runs/{slug}" ``` ``` -------------------------------- ### GET /api/auth/token/oidc Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Get an OIDC token for the logged in user to access a Kubernetes cluster. ```markdown ### Parameters - **clusterName** (string, query, optional): Name of the Kubernetes cluster ### Responses #### 200 - OK #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/auth/token/oidc?clusterName=string" ``` ``` -------------------------------- ### Schema: SetupData Source: https://activate.parallel.works/openapi.json Schema definition for SetupData ```markdown ## Schema: SetupData Schema definition for SetupData **Type:** object - **email** (string (email)): Email for the initial admin user (optional) - **name** (string): Full name of the initial admin user (optional) - **organization** (string) (required): Organization name - **password** (string) (required): Password for the initial admin user - **theme** (string (activate|dark)): User's preferred theme (activate for light, dark for dark) ("activate"|"dark") - **username** (string) (required): Username for the initial admin user ``` -------------------------------- ### POST /api/organizations/{organization}/users/{user}/instances/{instanceName}/snapshot Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. Creates a root disk snapshot from an instance ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **user** (string, path, required): Username of the resource owner - **instanceName** (string, path, required): The name of the instance ### Request Body **Content-Type:** application/json - **snapshotName** (string) (required): Name of the snapshot ### Responses #### 200 - OK **CreateSnapshotOutputBody** - **id** (string) (required): ID of the newly created snapshot - **message** (string) (required): Success message - **name** (string) (required): Name of the snapshot - **status** (string) (required): Current status of the snapshot #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X POST "https://api.example.com/api/organizations/{organization}/users/{user}/instances/{instanceName}/snapshot" \ -H "Content-Type: application/json" \ -d '{ "snapshotName": "string" }' ``` ``` -------------------------------- ### GET /api/aichat/conversations/{id} Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Get a conversation by ID. Optionally specify a branch to view. ```markdown ### Parameters - **id** (string, path, required): Conversation ID - **branchId** (string, query, optional): Specific branch to return (optional) ### Responses #### 200 - OK **ConversationResponse** - **activeBranchId** (string,null) (required): Currently active branch leaf ID - **branches** (array,null): All branch leaf IDs - **canCollaborate** (boolean) (required): Whether the user can add messages - **createdAt** (string (date-time)) (required): Creation timestamp - **id** (string) (required): Conversation ID - **isOwner** (boolean) (required): Whether the current user owns this conversation - **messages** (array,null) (required): Message tree - **title** (string,null) (required): Conversation title - **updatedAt** (string,null) (required): Last update timestamp #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/aichat/conversations/{id}?branchId=string" ``` ``` -------------------------------- ### GET /api/organizations/{organization}/managed-clusters/{cluster}/permissions Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Gets access permissions for a managed cluster. ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **cluster** (string, path, required): Cluster name ### Responses #### 200 - OK **ManagedClusterPermissionsResponse** - **groups** (object) (required): Map of group names to permissions - **organization** (object) (required): Map of permission names to whether entire organization has that access #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/organizations/{organization}/managed-clusters/{cluster}/permissions" ``` ``` -------------------------------- ### GET /api/organizations/{organization}/groups/{group} Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. Get details for a specific group including member list ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **group** (string, path, required): The name of the group. ### Responses #### 200 - OK **GroupWithMembers** - **allocations** (object) - **estimatedUsed** (number (double)): Estimated used allocation - **total** (number (double)): Total allocation - **used** (number (double)): Used allocation - **createdAt** (string (date-time)): Group creation time - **description** (string): The group description. - **id** (string): The group ID. - **members** (array,null) (required): List of group members with details. - **name** (string,null) (required): The group name. - **organization** (string): Organization name - **roles** (array (string)): List of roles assigned to the group. #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/organizations/{organization}/groups/{group}" ``` ``` -------------------------------- ### POST /api/admin/migrations/run Source: https://activate.parallel.works/openapi.json Run pending migrations ```markdown ### Request Body **Content-Type:** application/json - **autoOnly** (boolean): Only run migrations marked as auto-migratable - **kind** (string,null) (required): Type of migrations to run ("postgres"|"mongo"|"both") - **timeoutSec** (integer (int64)): Timeout in seconds for the migration run ### Responses #### 200 - OK **MigrationRunLogResponse** - **actor** (string,null) (required): Who initiated the migration (auto or username) - **createdAt** (string,null) (required): When the log entry was created - **endedAt** (string (date-time)): When the migration run completed - **error** (string): Error message if migration failed - **id** (string) (required): Unique identifier for the migration run - **mongoDone** (boolean,null) (required): Whether Mongo migrations completed - **postgresDone** (boolean,null) (required): Whether Postgres migrations completed - **startedAt** (string,null) (required): When the migration run started - **status** (string,null) (required): Migration run status (running, ok, error) - **steps** (array,null) (required): Individual migration steps executed - **updatedAt** (string,null) (required): When the log entry was last updated #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X POST "https://api.example.com/api/admin/migrations/run" \ -H "Content-Type: application/json" \ -d '{ "autoOnly": "true", "kind": "value", "timeoutSec": "0" }' ``` ``` -------------------------------- ### GET /api/admin/reports/{id} Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. > This is a platform-admin only route. Get a report by ID. This route is deprecated, and does not have a replacement. DO NOT USE. ```markdown ### Parameters - **id** (string, path, required): Report ID to delete. ### Responses #### 200 - OK **Report** - **createdAt** (string (date-time)) (required): Report creation time - **email** (string) (required): Email address that receives the report - **frequency** (string) (required): Report frequency - **id** (string) (required): Report ID - **period** (string): Report period specification - **type** (string) (required): Type of report - **user** (string): Creator of the report - **who** (string): Username that the report monitors #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/admin/reports/{id}" ``` ``` -------------------------------- ### GET /api/organizations/{organization}/users/{user}/aichat-providers/{name}/permissions Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Get permissions for an AI provider. ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **user** (string, path, required): Username of the resource owner - **name** (string, path, required): AI provider name ### Responses #### 200 - OK **SubjectPermissions** - **groups** (object) (required): Map of group names to permissions - **organization** (object) (required): Map of permission names to whether entire organization has that access #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/organizations/{organization}/users/{user}/aichat-providers/{name}/permissions" ``` ``` -------------------------------- ### GET /api/organizations/{organization}/cloud-accounts/{name}/networks/{networkName} Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. Get information about a network associated with a cloud account. ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **name** (string, path, required): Name of the cloud account - **networkName** (string, path, required): Name of the network ### Responses #### 200 - OK **Infrastructure** - **attached** (unknown) - **attachedStorages** (array (Item)) Array items: - **export** (string) - **mountPoint** (string,null) (required) - **storage** (unknown) (required) - **volume** (string) - **cloudAccount** (string) - **costLastUpdated** (string (date-time)) - **costTrackingStatus** (string) - **createdAt** (string (date-time)) (required) - **csp** (string,null) (required) - **currentlyProvisioning** (boolean) - **description** (string) - **displayName** (string) - **ephemeral** (boolean) - **expiresAt** (integer (int64)) - **id** (string) (required) - **imageUrl** (string) - **ingested** (boolean,null) (required) - **key** (string) - **name** (string,null) (required) - **network** (string) - **organization** (string) - **prices** (object) - **cpuPrice** (number,null) (required) - **memoryPrice** (number,null) (required) - **provisionOutput** (object) - **provisionStatus** (object) - **provisioned** (boolean) - **region** (string) - **root** (boolean) - **runtimeAlert** (object) - **enabled** (boolean) (required) - **intervalHours** (integer (int64)) (required) - **nextAlertTime** (string (date-time)) (required) - **sessionCostLimit** (object) - **autoTerminate** (boolean) (required) - **enabled** (boolean) (required) - **limit** (number (double)) (required) - **nextAlertTime** (string (date-time)) (required) - **useRealtime** (boolean) (required) - **sessionNumber** (integer (int64)) - **sessionless** (boolean,null) (required) - **shared** (array (SharedPermissions)) Array items: - **organization** (boolean) - **permissions** (unknown) - **team** (string) - **status** (string) - **tags** (array (string)) - **team** (string) - **timeProvisioned** (integer (int64)) - **type** (string,null) (required) - **updatedAt** (string (date-time)) (required) - **user** (string) (required) - **variables** (object) #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/organizations/{organization}/cloud-accounts/{name}/networks/{networkName}" ``` ``` -------------------------------- ### POST /api/organizations/{organization}/users/{user}/instances Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. Creates a new Instance ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **user** (string, path, required): Username of the resource owner ### Request Body **Content-Type:** application/json - **architecture** (string): The architecture of the Instance. - **csp** (string (aws|google|azure)) (required): The cloud service provider for the Instance. ("aws"|"google"|"azure") - **cspId** (string): The cloud service provider's unique identifier for the instance. - **debugMode** (boolean): Whether to enable debug mode for the Instance. - **description** (string) (required): The description of the Instance. - **displayName** (string) (required): The display name of the Instance. - **expiresAt** (string (date-time)): The timestamp when the record of this instance will be automatically deleted (RFC3339 format). - **favorite** (boolean): Whether this Instance is favorited by the user. - **group** (string) (required): The group to which the Instance will be associated. - **hostname** (string) (required): The hostname of the Instance. - **id** (string): The unique identifier of the Instance. - **image** (string): The image name used to launch the Instance. - **instanceType** (string) (required): The type of the Instance. - **ipAddress** (string) (required): The IP address of the Instance. - **name** (string) (required): The name of the Instance resource. - **network** (string) (required): The network name to which the Instance is attached. - **region** (string) (required): The region where the Instance will be provisioned. - **runtimeAlert** (object) - **enabled** (boolean) (required): Whether to enable runtime alerts. - **intervalHours** (integer (int64)): Runtime alert interval in hours (1-168). - **sessionCostLimit** (object) - **autoTerminate** (boolean): Auto-terminate when cost limit is reached. - **enabled** (boolean) (required): Whether to enable session cost limit alerts. - **limit** (number (double)): Cost limit in USD. - **useRealtime** (boolean): Use realtime-estimated cost data. - **sessionless** (string): Indicates if the Instance is sessionless. - **sizeGb** (integer (int64)) (required): The root disk size of the Instance in GB. - **status** (string): The status of the Instance. - **tags** (array,null) (required): The tags associated with the Instance. - **type** (string): The type of the compute resource. - **user** (string): The user that owns this Instance. - **userBootstrap** (string): The user bootstrap script to be executed on Instance launch. - **userBootstrapInstance** (boolean): Whether to run the user bootstrap script on the Instance. - **workspaceMounts** (array,null): The workspace mounts for the Instance. - **zone** (string) (required): The availability zone where the Instance will be provisioned. ### Responses #### 200 - OK **Instance** - **architecture** (string): The architecture of the Instance. - **csp** (string (aws|google|azure)) (required): The cloud service provider for the Instance. ("aws"|"google"|"azure") - **cspId** (string): The cloud service provider's unique identifier for the instance. - **debugMode** (boolean): Whether to enable debug mode for the Instance. - **description** (string) (required): The description of the Instance. - **displayName** (string) (required): The display name of the Instance. - **expiresAt** (string (date-time)): The timestamp when the record of this instance will be automatically deleted (RFC3339 format). - **favorite** (boolean): Whether this Instance is favorited by the user. - **group** (string) (required): The group to which the Instance will be associated. - **hostname** (string) (required): The hostname of the Instance. - **id** (string): The unique identifier of the Instance. - **image** (string): The image name used to launch the Instance. - **instanceType** (string) (required): The type of the Instance. - **ipAddress** (string) (required): The IP address of the Instance. - **name** (string) (required): The name of the Instance resource. - **network** (string) (required): The network name to which the Instance is attached. - **region** (string) (required): The region where the Instance will be provisioned. - **runtimeAlert** (object) - **enabled** (boolean) (required): Whether to enable runtime alerts. - **intervalHours** (integer (int64)): Runtime alert interval in hours (1-168). - **sessionCostLimit** (object) - **autoTerminate** (boolean): Auto-terminate when cost limit is reached. - **enabled** (boolean) (required): Whether to enable session cost limit alerts. - **limit** (number (double)): Cost limit in USD. - **useRealtime** (boolean): Use realtime-estimated cost data. - **sessionless** (string): Indicates if the Instance is sessionless. - **sizeGb** (integer (int64)) (required): The root disk size of the Instance in GB. - **status** (string): The status of the Instance. - **tags** (array,null) (required): The tags associated with the Instance. - **type** (string): The type of the compute resource. - **user** (string): The user that owns this Instance. - **userBootstrap** (string): The user bootstrap script to be executed on Instance launch. - **userBootstrapInstance** (boolean): Whether to run the user bootstrap script on the Instance. - **workspaceMounts** (array,null): The workspace mounts for the Instance. - **zone** (string) (required): The availability zone where the Instance will be provisioned. #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X POST "https://api.example.com/api/organizations/{organization}/users/{user}/instances" \ -H "Content-Type: application/json" \ -d '{ "architecture": "string", "csp": "aws", "cspId": "string", "debugMode": "true", "description": "string", "displayName": "string", "expiresAt": "2023-01-01T00:00:00Z", "favorite": "true", "group": "string", "hostname": "string", "id": "string", "image": "string", "instanceType": "string", "ipAddress": "string", "name": "string", "network": "string", "region": "string", "runtimeAlert": "value", "sessionCostLimit": "value", "sessionless": "string", "sizeGb": "0", "status": "string", "tags": "value", "type": "string", "user": "string", "userBootstrap": "string", "userBootstrapInstance": "true", "workspaceMounts": "value", "zone": "string" }' ``` ``` -------------------------------- ### GET /api/aichat/conversations/{conversationId}/messages/{messageId}/siblings Source: https://activate.parallel.works/openapi.json > This is a user-centric route, so the response will always be in the context of the currently authenticated user. Get all sibling messages (same parent) for branch navigation. ```markdown ### Parameters - **conversationId** (string, path, required): Conversation ID - **messageId** (string, path, required): Message ID ### Responses #### 200 - OK **GetMessageSiblingsBody** - **current** (integer (int64)) (required) - **siblings** (array,null) (required) #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/api/aichat/conversations/{conversationId}/messages/{messageId}/siblings" ``` ``` -------------------------------- ### POST /api/organizations/{organization}/users/{user}/disks/{diskName}/snapshot Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. Creates a snapshot from a standalone disk ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **user** (string, path, required): Username of the resource owner - **diskName** (string, path, required): The name of the disk ### Request Body **Content-Type:** application/json - **snapshotName** (string) (required): Name of the snapshot ### Responses #### 200 - OK **CreateSnapshotOutputBody** - **id** (string) (required): ID of the newly created snapshot - **message** (string) (required): Success message - **name** (string) (required): Name of the snapshot - **status** (string) (required): Current status of the snapshot #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X POST "https://api.example.com/api/organizations/{organization}/users/{user}/disks/{diskName}/snapshot" \ -H "Content-Type: application/json" \ -d '{ "snapshotName": "string" }' ``` ``` -------------------------------- ### POST /api/organizations/{organization}/kubernetes/{clusterName}/namespaces/{namespace}/helm-charts Source: https://activate.parallel.works/openapi.json > This is a system-level route, so the response will be independent of the currently authenticated user. Installs a new Helm chart in the specified Kubernetes namespace. ```markdown ### Parameters - **organization** (string, path, required): The name of the organization. - **clusterName** (string, path, required): Kubernetes cluster name - **namespace** (string, path, required): Kubernetes namespace ### Request Body **Content-Type:** application/json - **createNamespace** (boolean) (required): Whether to create the namespace if it doesn't exist - **helmChartName** (string) (required): The name of the Helm chart - **helmChartVersion** (string): The version of the Helm chart (optional, defaults to latest) - **helmReleaseName** (string) (required): The name for the Helm release - **helmRepoUrl** (string) (required): The URL of the Helm repository - **setValues** (array,null) (required): Array of key=value pairs for chart configuration ### Responses #### 204 - No Content Empty response body #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X POST "https://api.example.com/api/organizations/{organization}/kubernetes/{clusterName}/namespaces/{namespace}/helm-charts" \ -H "Content-Type: application/json" \ -d '{ "createNamespace": "true", "helmChartName": "string", "helmChartVersion": "string", "helmReleaseName": "string", "helmRepoUrl": "string", "setValues": "value" }' ``` ``` -------------------------------- ### GET /workflow.schema.json Source: https://activate.parallel.works/openapi.json Returns the JSON schema for workflow definitions. ```markdown ### Responses #### 200 - OK #### default - Error **Error** - **error** (boolean) (required): Will always be true, indicating this is an error response. - **errors** (array,null): If there are multiple errors, this will contain a list of them. - **message** (string) (required): A human-readable message describing the error. ### Example Usage ```bash curl -X GET "https://api.example.com/workflow.schema.json" ``` ```